# authentic2 - versatile identity manager
# Copyright (C) 2010-2019 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.db import models
from django.conf import settings
from django.utils import six

from . import util


@six.python_2_unicode_compatible
class ClientCertificate(models.Model):
    serial = models.CharField(max_length=255, blank=True)
    subject_dn = models.CharField(max_length=255)
    issuer_dn = models.CharField(max_length=255)
    cert = models.TextField()
    user = models.ForeignKey(settings.AUTH_USER_MODEL)

    def __str__(self):
        return self.subject_dn

    def explode_subject_dn(self):
        return util.explode_dn(self.subject_dn)

    def explode_issuer_dn(self):
        return util.explode_dn(self.issuer_dn)

