# authentic2 - versatile identity manager
# Copyright (C) 2010-2019 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import url
from .views import (handle_request, post_account_linking, delete_certificate, error_ssl)

urlpatterns = [
    url(r'^$',
        handle_request,
        name='user_signin_ssl'),
    url(r'^post_account_linking/$',
        post_account_linking,
        name='post_account_linking'),
    url(r'^delete_certificate/(?P<certificate_pk>\d+)/$',
        delete_certificate,
        name='delete_certificate'),
    url(r'^error_ssl/$',
        error_ssl,
        name='error_ssl'),
]
